# Uses of Class
it.tdlight.jni.TdApi.MessageAutoDeleteTime

## Uses of TdApi.MessageAutoDeleteTime in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.MessageAutoDeleteTime
Modifier and Type
Field
Description
`TdApi.MessageAutoDeleteTime`
TdApi.SetDefaultMessageAutoDeleteTime.`messageAutoDeleteTime`
New default message auto-delete time; must be from 0 up to 365 * 86400 and be divisible by 86400.
Constructors in it.tdlight.jni with parameters of type TdApi.MessageAutoDeleteTime
Modifier
Constructor
Description
``
`SetDefaultMessageAutoDeleteTime(TdApi.MessageAutoDeleteTime messageAutoDeleteTime)`
Changes the default message auto-delete time for new chats.